https://github.com/pythongssapi/python-gssapi/commit/d9200d1018ac916b30433da23898c8c5fbde0f28

From d9200d1018ac916b30433da23898c8c5fbde0f28 Mon Sep 17 00:00:00 2001
From: Jordan Borean <jborean93@gmail.com>
Date: Tue, 18 Jul 2023 08:57:11 +1000
Subject: [PATCH] Fix Cython 3 Compatibility

Fixes compatibility with Cython 3 by fixing up the import so it doesn't
try and do a recursive import. This also increases the upper bound for
Cython to 4.0.0 now that 3.0.0 is compatible.

Signed-off-by: Jordan Borean <jborean93@gmail.com>
--- a/gssapi/raw/_enum_extensions/ext_dce.pyx
+++ b/gssapi/raw/_enum_extensions/ext_dce.pyx
@@ -1,6 +1,6 @@
 from gssapi.raw.cython_types cimport OM_uint32
 
-import gssapi.raw._enum_extensions as ext_registry
+from gssapi.raw import _enum_extensions as ext_registry
 
 
 cdef extern from "python_gssapi_ext.h":
--- a/pyproject.toml
+++ b/pyproject.toml
@@ -1,6 +1,6 @@
 [build-system]
 requires = [
-    "Cython >= 0.29.29, < 3.0.0",  # 0.29.29 includes fixes for Python 3.11
+    "Cython >= 0.29.29, < 4.0.0",  # 0.29.29 includes fixes for Python 3.11
     "setuptools >= 40.6.0",  # Start of PEP 517 support for setuptools
 ]
 build-backend = "setuptools.build_meta"
